<?php
// création de l'option de déverrouillage des briques
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_brikverr'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('edt_brikverr', '1', 'Option de déverrouillage des briques des jours précédents.')");
}

// suppression rétroactive des élèves inexistants des groupes existants
$retro_group = mysqli_query($bdd,"SELECT * FROM ".$prefix."_groupele GROUP BY eleves_id");
foreach($retro_group as $groupcheck) {
	$elevecheck = mysqli_num_rows(mysqli_query($bdd,"SELECT eleves_id FROM ".$prefix."_eleves WHERE eleves_id = ".$groupcheck['eleves_id'].""));
	if($elevecheck==0) {
		mysqli_query($bdd,"DELETE FROM ".$prefix."_groupele WHERE eleves_id = '".$groupcheck['eleves_id']."'");
	}
}

// altération de l'amplitude valeur dans _parametres
mysqli_query($bdd,"ALTER TABLE ".$prefix."_parametres MODIFY valeur VARCHAR(200)");

// création d'un array de couleurs
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'colors_stats_array'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('colors_stats_array', '#FF9900#99FF00#CCFFFF#FF66FF#CC6600#FFFF33#99CC66#003399#9900FF#FF0033#CCCC00#66CC66#CCFFFF#333366#CC99CC#330033#FF6666#993300#33CC33#3399FF', 'Couleurs disponibles pour les graphiques, personnalisables.')");
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.21' WHERE param_nom = 'version_bdd'");

?>